import request from '@/utils/request'

export function studySubject_listByStudyId(query) {
  return request({
    url: '/system/business/studySubject/listByStudyId',
    method: 'get',
    params: query
  })
}

export function studySubject_getAllListByStudyId(query) {
  return request({
    url: '/system/business/studySubject/getAllListByStudyId',
    method: 'get',
    params: query
  })
}

export function studySubject_save(data) {
  return request({
    url: '/system/business/studySubject/save',
    method: 'post',
    data: data
  })
}
export function studySubject_isMatchSubject(query) {
  return request({
    url: '/system/business/studySubject/isMatchSubject',
    method: 'get',
    params: query
  })
}
export function studySubject_isQa(query) {
  return request({
    url: '/system/business/studySubject/isQa',
    method: 'get',
    params: query
  })
}
